## AtkImage AtkImage — The ATK Interface implemented by components which expose image or pixmap content on-screen. |

## Functions

void | atk_image_get_image_position ()
const gchar * | atk_image_get_image_description ()
gboolean | atk_image_set_image_description ()
void | atk_image_get_image_size ()
const gchar * | atk_image_get_image_locale ()

## Types and Values

| AtkImage

## Object Hierarchy

        GInterface
        ╰── AtkImage

## Known Implementations

AtkImage is implemented by AtkNoOpObject.

## Includes

    #include <atk/atk.h>

## Description

AtkImage should be implemented by AtkObject subtypes on behalf of components which display image/pixmap information onscreen, and which provide information (other than just widget borders, etc.) via that image content. For instance, icons, buttons with icons, toolbar elements, and image viewing panes typically should implement AtkImage.

AtkImage primarily provides two types of information: coordinate information (useful for screen review mode of screenreaders, and for use by onscreen magnifiers), and descriptive information. The descriptive information is provided for alternative, text-only presentation of the most significant information present in the image.

## Functions

### atk_image_get_image_position ()

    void
    atk_image_get_image_position (AtkImage *image,
                                  gint *x,
                                  gint *y,
                                  AtkCoordType coord_type);

Gets the position of the image in the form of a point specifying the images top-left corner.

If the position can not be obtained (e.g. missing support), x and y are set to -1.

#### Parameters

image | a GObject instance that implements AtkImageIface |
x | address of gint to put x coordinate position; otherwise, -1 if value cannot be obtained. | [out][optional]
y | address of gint to put y coordinate position; otherwise, -1 if value cannot be obtained. | [out][optional]
coord_type | specifies whether the coordinates are relative to the screen or to the components top level window |

### atk_image_get_image_description ()

    const gchar *
    atk_image_get_image_description (AtkImage *image);

Get a textual description of this image.

#### Parameters

image | a GObject instance that implements AtkImageIface |

#### Returns

a string representing the image description

### atk_image_set_image_description ()

    gboolean
    atk_image_set_image_description (AtkImage *image,
                                     const gchar *description);

Sets the textual description for this image.

#### Parameters

image | a GObject instance that implements AtkImageIface |
description | a string description to set for `image` |

#### Returns

boolean TRUE, or FALSE if operation could not be completed.

### atk_image_get_image_size ()

    void
    atk_image_get_image_size (AtkImage *image,
                              gint *width,
                              gint *height);

Get the width and height in pixels for the specified image. The values of `width` and `height` are returned as -1 if the values cannot be obtained (for instance, if the object is not onscreen).

If the size can not be obtained (e.g. missing support), x and y are set to -1.

#### Parameters

image | a GObject instance that implements AtkImageIface |
width | filled with the image width, or -1 if the value cannot be obtained. | [out][optional]
height | filled with the image height, or -1 if the value cannot be obtained. | [out][optional]

### atk_image_get_image_locale ()

    const gchar *
    atk_image_get_image_locale (AtkImage *image);

Retrieves the locale identifier associated to the AtkImage.

#### Parameters

image | An AtkImage |

#### Returns

a string corresponding to the POSIX `LC_MESSAGES` locale used by the image description, or `NULL` if the image does not specify a locale.

[nullable]

Since: 1.12

## Types and Values

### AtkImage

    typedef struct _AtkImage AtkImage;